Changeset 06fe7af in rtems-testing


Ignore:
Timestamp:
Feb 7, 2011, 10:32:36 PM (8 years ago)
Author:
Joel Sherrill <joel.sherrill@…>
Branches:
4.11, 8895273c193787f84c4585a10f6d6aceb3b25dc4
Children:
e7d6d832
Parents:
af81f97
Message:

2011-02-07 Joel Sherrill <joel.sherrill@…>

  • do_one, gcc_status, gccgo_status, rtems_gccgo_init.c, rundeja, test_driver: Make directory names more consistent. Clean up.
  • testsuite/ada/acats/Makefile.rtems: Attempt to filter -G0
Location:
gcc
Files:
8 edited

Legend:

Unmodified
Added
Removed
  • gcc/ChangeLog

    raf81f97 r06fe7af  
     12011-02-07      Joel Sherrill <joel.sherrill@oarcorp.com>
     2
     3        * do_one, gcc_status, gccgo_status, rtems_gccgo_init.c, rundeja,
     4        test_driver: Make directory names more consistent.  Clean up.
     5        * testsuite/ada/acats/Makefile.rtems: Attempt to filter -G0
     6
    172011-01-28      Joel Sherrill <joel.sherrill@oarcorp.com>
    28
  • gcc/do_one

    raf81f97 r06fe7af  
    33# Execution Times (for sparc-rtems${RTEMS_VERSION})
    44#
    5 #   - building native                   - 45m43.697s
    6 #   - building stage1 (non-multilib)    - 7m26.749s
    7 #   - building stage1 (multilib)        -
    8 #   - building Ada stack (non-multilib) - 13m25.945s
    9 #   - building RTEMS                    - 12m27.799s
    10 #   - Running ACAT           (sis)      -
    11 #   - Running GCC Test Suite (sis)      - 60m26.523s
     5#   - building native                   - TBD
     6#   - building binutils                 - 1m31.310s
     7#   - building GDB                      - 1m39.318s
     8#   - building stage1 (multilib)        - 10m22.371s
     9#   - building RTEMS (multilib + BSP)   - 22m47.048s
     10#   - building Ada (multilib)           - ?
     11#   - building Go (multilib)            - ?
     12#   - Running GCC Test Suite (sis)      - 122m47.289s
     13#   - Running ACAT           (sis)      - ?
     14#   - Running Go Test Suite  (sis)      - ?
    1215#
    1316# Computer Info
    14 #   Fedora 8 on Intel Core2 Duo T7500  @ 2.20GHz w/ 2GB RAM
     17#   Fedora 14 on Intel Core2 Duo Q6600 (4 core) @ 2.40GHz w/ 4GB RAM
    1518
    1619vfile=`dirname $0`/../VERSIONS
     
    141144done
    142145
     146run_libgotests=$run_gccgotests
    143147########################### Grab CPU/BSP ###########################
    144148
     
    344348    source)
    345349      echo "Building Binutils from source"
    346       rm -rf b-binutils-${cpu}
    347       mkdir b-binutils-${cpu}
    348       cd b-binutils-${cpu}
     350      rm -rf b-${cpu}-binutils
     351      mkdir b-${cpu}-binutils
     352      cd b-${cpu}-binutils
    349353      (${BINUTILSDIR}/configure --target=${TARGET} --prefix=$INSTALL \
    350354        --disable-werror && \
     
    358362      grep ^FAIL ${LOGDIR}/${cpu}-binutils-check.log
    359363      cd ..
    360       test ${do_cleanup} = "yes" && rm -rf b-binutils-${cpu}
     364      test ${do_cleanup} = "yes" && rm -rf b-${cpu}-binutils
    361365      ;;
    362366    *)
     
    369373if [ ${do_binutils} = yes ] ; then
    370374  echo "Building binutils..."
    371   j_binutils ${cpu}
     375  time j_binutils ${cpu}
    372376fi
    373377
     
    409413      echo "Building GDB from source"
    410414      cd ${BASEDIR}
    411       rm -rf b-gdb-${cpu}
    412       mkdir b-gdb-${cpu}
    413       cd b-gdb-${cpu}
     415      rm -rf b-${cpu}-gdb
     416      mkdir b-${cpu}-gdb
     417      cd b-${cpu}-gdb
    414418      (${GDBDIR}/configure --target=${GDBTARGET} \
    415419        --enable-sim --enable-sim-hardware \
     
    422426      fi
    423427      cd ..
    424       test ${do_cleanup} = "yes" && rm -rf b-gdb-${cpu}
     428      test ${do_cleanup} = "yes" && rm -rf b-${cpu}-gdb
    425429      ;;
    426430    *)
     
    433437if [ ${do_gdb} = yes ] ; then
    434438  echo "Building gdb..."
    435   j_gdb ${cpu}
     439  time j_gdb ${cpu}
    436440fi
    437441
     
    449453if [ ${do_native} = "yes" ] ; then
    450454  echo "Building native compiler..."
    451   (cd ${BASEDIR} && \
    452    rm -rf b-native && \
    453    mkdir  b-native && \
    454    cd b-native && \
    455    time j_native >${LOGDIR}/native.log 2>&1 && cd .. ) || exit 1
    456    test ${do_cleanup} = "yes" && rm -rf b-native
     455  cd ${BASEDIR} && \
     456  rm -rf b-native && \
     457  mkdir  b-native && \
     458  cd b-native
     459  time j_native >${LOGDIR}/native.log 2>&1
     460  if [ $? -ne 0 ] ; then
     461    echo "Failed to build native gcc"
     462    exit 1
     463  fi
     464  cd ..
     465  test ${do_cleanup} = "yes" && rm -rf b-native
    457466else
    458467  echo Skipping native
     
    461470
    462471######### Build Cross C/C++ baseline compiler
    463 j_gcc1()
    464 {
    465 
     472j_gcc()
     473{
     474
     475set -x
    466476  if [ X${1} = X ] ; then
    467477    echo Usage: $0 TARGET_CPU
     
    469479  fi
    470480
    471   if [ ! -d ${INSTALL} ]; then
     481  if [ ! -d ${INSTALL} ] ; then
    472482    echo ${INSTALL} does not exist
    473483    exit 1
     
    521531  echo "Building Stage 1 compiler (C/C++)..."
    522532  (cd ${BASEDIR} && \
    523    rm -rf b-gcc1-${cpu} && \
    524    mkdir  b-gcc1-${cpu} && \
    525    cd b-gcc1-${cpu} && \
    526      time j_gcc1 ${cpu} >${LOGDIR}/${cpu}-stage1.log 2>&1 && cd ..) || exit 1
     533   rm -rf b-${cpu}-gcc && \
     534   mkdir  b-${cpu}-gcc && \
     535   cd b-${cpu}-gcc && \
     536     time j_gcc ${cpu} >${LOGDIR}/${cpu}-gcc.log 2>&1 && cd ..) || exit 1
    527537else
    528538  echo Skipping Stage 1 for ${cpu}
     
    564574  ${RTEMS_ARGS} --enable-maintainer-mode --disable-tests \
    565575  --prefix=${BSP_INSTALL} && make ${MAKEJOBS} ${MAKE_ARG} && make install
     576  status=$?
     577  if [ $status -ne 0 ] ; then
     578     echo "Failed building RTEMS for ${cpuArg}/${bspArg}"
     579  fi
    566580  cd ..
     581  exit $status
    567582}
    568583
     
    582597if [ ${run_gcctests} = "yes" ] ; then
    583598  echo "Running GCC Tests..."
    584   cd ${BASEDIR}/b-gcc1-${cpu} || exit 1
     599  cd ${BASEDIR}/b-${cpu}-gcc || exit 1
    585600  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} gcc\
    586601    >${LOGDIR}/${cpu}-gcctests-${bsp}.log 2>&1
     
    612627  echo Skipping GCC DejaGNU tests for ${cpu}/${bsp}
    613628fi
    614 test ${do_cleanup} = "yes" && rm -rf b-gcc1-${cpu}
     629test ${do_cleanup} = "yes" && rm -rf b-${cpu}-gcc
    615630
    616631##### Build an Ada compiler now that we have a cross installed
     
    623638  TARGET=${1}-rtems${RTEMS_VERSION}
    624639
    625   if [ ! -d ${INSTALL} ]; then
     640  if [ ! -d ${INSTALL} ] ; then
    626641    echo ${INSTALL} does not exist
    627642    exit 1
     
    649664  make ${MAKEJOBS} &&
    650665  make install
     666  status=$?
     667  if [ $status -ne 0 ] ; then
     668    echo "Failed building Go"
     669  fi
    651670}
    652671
     
    655674  echo "Building Stage 2 cross Ada compiler for ${1} ..."
    656675  (cd ${BASEDIR} && \
    657    rm -rf b-gccada-${cpu} && \
    658    mkdir  b-gccada-${cpu} && \
    659    cd b-gccada-${cpu} && \
     676   rm -rf b-${cpu}-ada && \
     677   mkdir  b-${cpu}-ada && \
     678   cd b-${cpu}-ada && \
    660679   time j_gccada ${cpu} >${LOGDIR}/${cpu}-ada.log 2>&1 && cd ..) || \
    661680    ada_fail="yes"
     
    666685#### Run the Ada ACATS tests
    667686if [ ${run_acats} = "yes" -a \
    668      -d ${BASEDIR}/b-gccada-${cpu} -a ${ada_fail} = "no" ] ; then
     687     -d ${BASEDIR}/b-${cpu}-ada -a ${ada_fail} = "no" ] ; then
    669688  echo "Running ACATS..."
    670689  cd ${GCCDIR}/gcc/testsuite/ada/acats/ || exit 1
     
    689708
    690709if [ ${do_ada} = "yes" ] ; then
    691   test ${do_cleanup} = "yes" && rm -rf b-gccada-${cpu}
     710  test ${do_cleanup} = "yes" && rm -rf b-${cpu}-ada
    692711fi
    693712
     
    702721  TARGET=${1}-rtems${RTEMS_VERSION}
    703722
    704   if [ ! -d ${INSTALL} ]; then
     723  if [ ! -d ${INSTALL} ] ; then
    705724    echo ${INSTALL} does not exist
    706725    exit 1
     
    734753  make ${MAKEJOBS} &&
    735754  make install
     755  status=$?
     756  if [ $status -ne 0 ] ; then
     757    echo "Failed building Go"
     758  fi
     759  exit $status
    736760}
    737761
     
    740764  echo "Building Stage 2 cross GCC Go compiler for ${1} ..."
    741765  (cd ${BASEDIR} && \
    742    rm -rf b-gccgo1-${cpu} && \
    743    mkdir  b-gccgo1-${cpu} && \
    744    cd b-gccgo1-${cpu} && \
     766   rm -rf b-${cpu}-go && \
     767   mkdir  b-${cpu}-go && \
     768   cd b-${cpu}-go && \
    745769   time j_gccgo ${cpu} >${LOGDIR}/${cpu}-go.log 2>&1 && cd ..) || \
    746770     go_fail="yes"
     
    752776set -x
    753777if [ $a ${run_gccgotests} = "yes" -a \
    754      -d ${BASEDIR}/b-gccgo1-${cpu} -a ${go_fail} = "no" ] ; then
     778     -d ${BASEDIR}/b-${cpu}-go -a ${go_fail} = "no" ] ; then
    755779  echo "Running GCC Go Tests..."
    756   cd ${BASEDIR}/b-gccgo1-${cpu}/gcc || exit 1
     780  cd ${BASEDIR}/b-${cpu}-go/gcc || exit 1
    757781  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} gccgo \
    758782    >${LOGDIR}/${cpu}-gccgotests-${bsp}.log 2>&1
     
    764788  if [ ${do_mail} = "yes" ] ; then
    765789    echo Sending Go test results to GCC community..
    766     ${DIR}/contrib/test_summary -m gcc-testresults@gcc.gnu.org | sh
     790    ${GCCDIR}/contrib/test_summary -m gcc-testresults@gcc.gnu.org | sh
    767791    if [ $? -ne 0 ] ; then
    768792      echo "Failed to email GCC Go Test Results to GCC Community .. bailing"
     
    784808##### Do the libgo tests
    785809if [ $a ${run_libgotests} = "yes" -a \
    786      -d ${BASEDIR}/b-gccgo1-${cpu} -a ${go_fail} = "no" ] ; then
     810     -d ${BASEDIR}/b-${cpu}-go -a ${go_fail} = "no" ] ; then
    787811  echo "Running libgo DejaGNU tests..."
    788   cd ${BASEDIR}/b-gccgo1-${cpu} || exit 1
     812  cd ${BASEDIR}/b-${cpu}-go || exit 1
    789813  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} libgo \
    790814    >${LOGDIR}/${cpu}-libgotests-${bsp}.log 2>&1
     
    799823
    800824if [ ${do_gccgo} = "yes" ] ; then
    801   test ${do_cleanup} = "yes" && rm -rf b-gccgo1-${cpu}
     825  test ${do_cleanup} = "yes" && rm -rf b-${cpu}-go
    802826fi
    803827exit 0
  • gcc/gcc_status

    raf81f97 r06fe7af  
    2323
    2424
    25 if [ ! -d ${BASEDIR}/b-gcc1-${cpu}/gcc/testsuite ] ; then
     25if [ ! -d ${BASEDIR}/b-${cpu}-gcc/gcc/testsuite ] ; then
    2626  echo Test directory not found
    2727  exit 1
    2828fi
    2929
    30 cd ${BASEDIR}/b-gcc1-${cpu}/gcc/testsuite
     30cd ${BASEDIR}/b-${cpu}-gcc/gcc/testsuite
    3131while :
    3232do
  • gcc/gccgo_status

    raf81f97 r06fe7af  
    2323
    2424
    25 if [ ! -d ${BASEDIR}/b-gccgo1-${cpu}/gcc/testsuite ] ; then
     25if [ ! -d ${BASEDIR}/b-${cpu}-go/gcc/testsuite ] ; then
    2626  echo Test directory not found
    2727  exit 1
    2828fi
    2929
    30 cd ${BASEDIR}/b-gccgo1-${cpu}/gcc/testsuite
     30cd ${BASEDIR}/b-${cpu}-go/gcc/testsuite
    3131while :
    3232do
  • gcc/rtems_gccgo_init.c

    raf81f97 r06fe7af  
    131131//#define CONFIGURE_EXECUTIVE_RAM_SIZE (5 * 1024 * 1024)
    132132#define CONFIGURE_MAXIMUM_POSIX_MUTEXES 500
     133#define CONFIGURE_MAXIMUM_POSIX_SEMAPHORES 500
    133134#define CONFIGURE_MAXIMUM_POSIX_THREADS 400
    134135#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  500
  • gcc/rundeja

    raf81f97 r06fe7af  
    4040    DEJABSP=m32csim
    4141    BSP_SIM=m32csim
     42    ;;
     43  m32rsim)
     44    CPU=m32r
     45    BSP=m32rsim
     46    DEJABSP=m32rsim
     47    BSP_SIM=m32rsim
    4248    ;;
    4349  mcf5206elite)
  • gcc/test_driver

    raf81f97 r06fe7af  
    4949{
    5050cat <<EOF
    51 do_one [options] CPU ..  CPU
     51test_driver [options] CPU ..  CPU
    5252  -A - enable clean, native, and update
    5353  -a - build Ada (default=yes)
     
    7070doAda="yes"
    7171doGccGo="no"
    72 doMail="no"
     72doMail="yes"
    7373doTests="yes"
    7474
     
    109109done
    110110
    111 CPUS_PART1="arm  h8300 i386 m32c mips    sh    sparc64"
    112 CPUS_PART2="bfin lm32  m32r m68k powerpc sparc avr"
     111CPUS_PART1="avr arm h8300 i386 m32c mips  sh sparc64"
     112CPUS_PART2="bfin lm32  m32r m68k powerpc sparc"
    113113ALL_CPUs="${CPUS_PART1} ${CPUS_PART2}"
    114114
  • gcc/testsuite/ada/acats/Makefile.rtems

    raf81f97 r06fe7af  
    1515OBJCOPY=$(AS:as=objcopy)
    1616CARGS  = -B${rtemsdir}/lib/ -specs bsp_specs -qrtems
     17# GCC 4.6 in SVN doesn't like -G0... :(
     18CPU_CFLAGS_ADA=$(shell echo $(CPU_CFLAGS) | sed -e 's/-GO//')
    1719CARGS += $(LDFLAGS) $(AM_LDFLAGS)
    1820# RTS= --RTS=$(shell $(CC) -print-multi-directory $(CFLAGS))
     
    9193        echo "target_gnatmake() {" >$@
    9294        echo "set -x" >>$@
    93         echo '  $(GNATMAKE) $(CPU_CFLAGS) -fstack-check -v -O $$gnatflags $$gccflags $$* -bargs -Mgnat_main -largs $(CARGS) '$(shell pwd)/rtems_init.o' $$EXTERNAL_OBJECTS' >> $@
     95        echo '  $(GNATMAKE) $(CPU_CFLAGS_ADA) -fstack-check -v -O $$gnatflags $$gccflags $$* -bargs -Mgnat_main -largs $(CARGS) '$(shell pwd)/rtems_init.o' $$EXTERNAL_OBJECTS' >> $@
    9496        echo "}" >>$@
    9597
Note: See TracChangeset for help on using the changeset viewer.